/* Reset some default styles */
body, h1, h2, p, ul, li {
  margin: 0;
  padding: 0;
}

body {
  font-family: Arial, Helvetica, sans-serif;
  background-color: #CEDDDE;
  display: flex;
  flex-direction: column;
  min-height: 100vh;
  background-image: url("links/background.jpg");
  background-size: cover; 
  background-repeat: no-repeat;
}

a:link {
  color: #CEDDDE;
}

a:visited {
  color: #CEDDDE;
}

a:hover {
  color: #82CFD8;
}

a:active {
  color: #007FA9;
}

a:link, a:visited {
  text-decoration: none;
}

/*body*/

button{
  color: #CEDDDE;
  background-color: #00334A;
  border:1px;
  width: 15%;
  height: 35px;
  font-weight:bold;
}

button:hover{
  color: #82CFD8;
}

button:active {
  color: #007FA9;
}

/* Header */

header {
  background-color: #00334A;
  color: #CEDDDE;
  text-align: center;
  padding: 4px;
  min-width: 410px;
}

nav {
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 0 1rem;
  font-weight: bold;
}

.menu-gauche {
  display: flex;
  align-items: center;
}

.menu-gauche a {
  margin-left: 10px;
}

.menu-gauche img{
  height: 48px;
  margin-right: 20px;
}

.menu-droit {
  display: flex;
  align-items: center;
}

.menu-droit img{
  height: 48px;
  margin-left: 20px;
}

.container .intro {
  text-align: center;
  margin-bottom: 2rem;
  color: white;
}
/* Footer */
footer {
  background-color: #00334A;
  color: #CEDDDE;
  text-align: center;
  padding: 1rem 0;
  margin-top: auto;
  min-width: 410px;
}

.social-links {
  display: flex;
  justify-content: center;
  gap: 20px;
  margin-bottom: 0.5rem;
}

.social-links img {
  width: 30px;
  height: 30px;
  transition: transform 0.2s ease-in-out;
}

.social-links img:hover {
  transform: scale(1.1);
}

@media screen and (width < 500px) {
  footer{
    max-width: 400px;
  }
  header{
    padding: 1px;
    min-width: 200px;
  }
  footer{
    padding: 1rem 0;
    min-width: 200px;
  }
  .menu-gauche img{
    margin-left: 5px;
    margin-right: 5px;
  }
  .menu-droit img{
    margin-left: 5px;
    margin-right: 5px;
  }
}
